﻿using System;
using System.Linq;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace WpfApplication2
{
    public class MainViewModel
    {
        public ObservableCollection<DataItem> Items { get; set; }

        public MainViewModel()
        {
            Items = new ObservableCollection<DataItem>();
            for (int i = 0; i < 5; i++)
            {
                DataItem item = new DataItem() { Header = String.Format("Item {0}", i) };
                for (int j = 0; j < 5; j++)
                {
                    item.Children.Add(new DataItem { Header = String.Format("Child {0}.{1}",i,j)});
                }
                Items.Add(item);
            }

            this.Move = new DelegateCommand(OnMove);
        }

        public DelegateCommand Move { get; set; }

        private void OnMove(object param)
        {
            Items.Move(4, 0);
        }
    }
}
